import { HttpClient } from '@wix/sdk-types';
import { ListPolicySnapshotsByBookingIdsResponse } from './bookings-policy-snapshots-v1-booking-policy-snapshot-booking-policy-snapshots.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function listPolicySnapshotsByBookingIds(httpClient: HttpClient): ListPolicySnapshotsByBookingIdsSignature;
interface ListPolicySnapshotsByBookingIdsSignature {
    /**
     * Retrieves a list of booking policy snapshots by *booking IDs*
     * ([SDK](https://dev.wix.com/docs/sdk/backend-modules/bookings/bookings/introduction) | [REST](https://dev.wix.com/docs/rest/business-solutions/bookings/bookings/about-the-bookings-apis)).
     * @param - List of booking IDs to retrieve policy snapshots for.
     */
    (bookingIds: string[]): Promise<ListPolicySnapshotsByBookingIdsResponse>;
}
export { ActionEvent, BookingPolicy, BookingPolicySnapshot, CancellationFeePolicy, CancellationPolicy, CancellationWindow, CancellationWindowFeeOneOf, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, ListPolicySnapshotsByBookingIdsRequest, ListPolicySnapshotsByBookingIdsResponse, Money, PolicyDescription, ReschedulePolicy, RestoreInfo, SaveCreditCardPolicy, } from './bookings-policy-snapshots-v1-booking-policy-snapshot-booking-policy-snapshots.universal.js';
